AbstractHtmlInputElementTag (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.servlet.tags.form

## Class AbstractHtmlInputElementTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.springframework.web.servlet.tags.RequestContextAwareTag
    - - org.springframework.web.servlet.tags.HtmlEscapingAwareTag
      - - org.springframework.web.servlet.tags.form.AbstractFormTag
        - - org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
          - - org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
            - - org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

- All Implemented Interfaces:
    Serializable, DynamicAttributes, IterationTag, JspTag, Tag, TryCatchFinally, EditorAwareTag
  Direct Known Subclasses:
    AbstractCheckedElementTag, InputTag, SelectTag, TextareaTag

      public abstract class AbstractHtmlInputElementTag
      extends AbstractHtmlElementTag

  Base class for databinding-aware JSP tags that render HTML form input element.

  Provides a set of properties corresponding to the set of HTML attributes that are common across form input elements.

  Since:
    2.0
  Author:
    Rob Harrop, Rick Evans, Juergen Hoeller
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESSKEY_ATTRIBUTE` The name of the '`accesskey`' attribute.
    `static String` | `DISABLED_ATTRIBUTE` The name of the '`disabled`' attribute.
    `static String` | `ONBLUR_ATTRIBUTE` The name of the '`onblur`' attribute.
    `static String` | `ONCHANGE_ATTRIBUTE` The name of the '`onchange`' attribute.
    `static String` | `ONFOCUS_ATTRIBUTE` The name of the '`onfocus`' attribute.
    `static String` | `READONLY_ATTRIBUTE` The name of the '`readonly`' attribute.

    - ### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

      `CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

    - ### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

      `COMMAND_NAME_VARIABLE_NAME, NESTED_PATH_VARIABLE_NAME`

    - ### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

      `logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractHtmlInputElementTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getAccesskey()` Get the value of the '`accesskey`' attribute.
    `protected String` | `getDisabled()` Get the value of the '`disabled`' attribute.
    `protected String` | `getOnblur()` Get the value of the '`onblur`' attribute.
    `protected String` | `getOnchange()` Get the value of the '`onchange`' attribute.
    `protected String` | `getOnfocus()` Get the value of the '`onfocus`' attribute.
    `protected String` | `getReadonly()` Gets the value of the '`readonly`' attribute.
    `protected boolean` | `isDisabled()` Is the current HTML tag disabled?
    `protected boolean` | `isReadonly()` Is the current HTML tag readonly?
    `void` | `setAccesskey(String accesskey)` Set the value of the '`accesskey`' attribute.
    `void` | `setDisabled(String disabled)` Set the value of the '`disabled`' attribute.
    `void` | `setOnblur(String onblur)` Set the value of the '`onblur`' attribute.
    `void` | `setOnchange(String onchange)` Set the value of the '`onchange`' attribute.
    `void` | `setOnfocus(String onfocus)` Set the value of the '`onfocus`' attribute.
    `void` | `setReadonly(String readonly)` Sets the value of the '`readonly`' attribute.
    `protected void` | `writeOptionalAttributes(TagWriter tagWriter)` Adds input-specific optional attributes as defined by this base class.

    - ### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

      `getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, isValidDynamicAttribute, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes`

    - ### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

      `autogenerateId, convertToDisplayString, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, resolveId, setId, setPath`

    - ### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag

      `createTagWriter, doStartTagInternal, evaluate, evaluateBoolean, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute, writeTagContent`

    - ### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

      `isHtmlEscape, setHtmlEscape`

    - ### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

      `doCatch, doStartTag, getRequestContext`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ONFOCUS_ATTRIBUTE

          public static final String ONFOCUS_ATTRIBUTE

      The name of the '`onfocus`' attribute.
      See Also:
        Constant Field Values

    - #### ONBLUR_ATTRIBUTE

          public static final String ONBLUR_ATTRIBUTE

      The name of the '`onblur`' attribute.
      See Also:
        Constant Field Values

    - #### ONCHANGE_ATTRIBUTE

          public static final String ONCHANGE_ATTRIBUTE

      The name of the '`onchange`' attribute.
      See Also:
        Constant Field Values

    - #### ACCESSKEY_ATTRIBUTE

          public static final String ACCESSKEY_ATTRIBUTE

      The name of the '`accesskey`' attribute.
      See Also:
        Constant Field Values

    - #### DISABLED_ATTRIBUTE

          public static final String DISABLED_ATTRIBUTE

      The name of the '`disabled`' attribute.
      See Also:
        Constant Field Values

    - #### READONLY_ATTRIBUTE

          public static final String READONLY_ATTRIBUTE

      The name of the '`readonly`' attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractHtmlInputElementTag

          public AbstractHtmlInputElementTag()

  - ### Method Detail

    - #### setOnfocus

          public void setOnfocus(String onfocus)

      Set the value of the '`onfocus`' attribute. May be a runtime expression.

    - #### getOnfocus

          protected String getOnfocus()

      Get the value of the '`onfocus`' attribute.

    - #### setOnblur

          public void setOnblur(String onblur)

      Set the value of the '`onblur`' attribute. May be a runtime expression.

    - #### getOnblur

          protected String getOnblur()

      Get the value of the '`onblur`' attribute.

    - #### setOnchange

          public void setOnchange(String onchange)

      Set the value of the '`onchange`' attribute. May be a runtime expression.

    - #### getOnchange

          protected String getOnchange()

      Get the value of the '`onchange`' attribute.

    - #### setAccesskey

          public void setAccesskey(String accesskey)

      Set the value of the '`accesskey`' attribute. May be a runtime expression.

    - #### getAccesskey

          protected String getAccesskey()

      Get the value of the '`accesskey`' attribute.

    - #### setDisabled

          public void setDisabled(String disabled)

      Set the value of the '`disabled`' attribute. May be a runtime expression.

    - #### getDisabled

          protected String getDisabled()

      Get the value of the '`disabled`' attribute.

    - #### setReadonly

          public void setReadonly(String readonly)

      Sets the value of the '`readonly`' attribute. May be a runtime expression.
      See Also:
        `isReadonly()`

    - #### getReadonly

          protected String getReadonly()

      Gets the value of the '`readonly`' attribute. May be a runtime expression.
      See Also:
        `isReadonly()`

    - #### writeOptionalAttributes

          protected void writeOptionalAttributes(TagWriter tagWriter)
                                          throws JspException

      Adds input-specific optional attributes as defined by this base class.
      Overrides:
        `writeOptionalAttributes` in class `AbstractHtmlElementTag`
      Throws:
        `JspException`

    - #### isDisabled

          protected boolean isDisabled()
                                throws JspException

      Is the current HTML tag disabled?
      Throws:
        `JspException`

    - #### isReadonly

          protected boolean isReadonly()
                                throws JspException

      Is the current HTML tag readonly?

      Note: some `AbstractHtmlInputElementTag` subclasses (such a those for checkboxes and radiobuttons) may contain readonly attributes, but are not affected by them since their values don't change (only their status does.)

      Throws:
        `JspException`